#include <stdio.h>
#include <stdlib.h>

void exemple(unsigned n) {
  if (n != 0) {
    putchar('>');//à la fin
    exemple(n-1);
    putchar('<');//au début 
  } else
    putchar('O');
}

int main(int argc, char const *argv[])
{
	exemple(100);
	return 0;
}